View Issue Details

IDProjectCategoryView StatusLast Update
0000061OpenMPT[All Projects] Generalpublic2011-01-15 18:23
Reporter404notfound Assigned ToSaga Musix  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product VersionOpenMPT 1.18.03.00 (upgrade first) 
Target VersionOpenMPT 1.19.01.00 (upgrade first)Fixed in VersionOpenMPT 1.19.01.00 (upgrade first) 
Summary0000061: Crash by malicious module [Impulsetracker]
Description

MPT v1.18.03.00 crashes when going over the empty Instruments of this particular song.
v1.17.02.54 displays === in sample map while v1.19.00.18 displays rubbish.

Additional Information

Original song was in FT2 format.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

404notfound

404notfound

2011-01-11 20:08

reporter  

Chipex.zip (47,000 bytes)
Saga Musix

Saga Musix

2011-01-11 22:30

administrator   ~0000038

Last edited: 2011-01-14 20:06

View 2 revisions

Thanks for pointing this out, I couldn't get the program to crash but this revealed some bugs in the IT loader / saver code as well as in the sample map display.

Saga Musix

Saga Musix

2011-01-15 16:44

administrator   ~0000039

Revision 785 introduces various fixes in the IT Loader, IT Saver and Instrument Editor. Please check http://sagagames.de/stuff/mptrack.exe and confirm that the crash doesn't happen anymore.

404notfound

404notfound

2011-01-15 18:11

reporter   ~0000040

Fix confirmed.

Issue History

Date Modified Username Field Change
2011-01-11 20:08 404notfound New Issue
2011-01-11 20:08 404notfound File Added: Chipex.zip
2011-01-11 22:30 Saga Musix Note Added: 0000038
2011-01-11 22:30 Saga Musix Assigned To => Saga Musix
2011-01-11 22:30 Saga Musix Status new => assigned
2011-01-11 22:30 Saga Musix Target Version => OpenMPT 1.19.01.00 (upgrade first)
2011-01-14 20:06 Saga Musix Note Edited: 0000038 View Revisions
2011-01-15 16:44 Saga Musix Note Added: 0000039
2011-01-15 16:44 Saga Musix Status assigned => feedback
2011-01-15 18:11 404notfound Note Added: 0000040
2011-01-15 18:11 404notfound Status feedback => assigned
2011-01-15 18:23 Saga Musix Status assigned => closed
2011-01-15 18:23 Saga Musix Resolution open => fixed
2011-01-15 18:23 Saga Musix Fixed in Version => OpenMPT 1.19.00.* (old testing)
2011-01-15 18:23 Saga Musix Summary Crash by malicious module[Impulsetracker] => Crash by malicious module [Impulsetracker]
2011-01-15 18:23 Saga Musix Status closed => resolved